## org.apache.batik.parser
Interface ClockParser

All Superinterfaces:
  Localizable, Parser

public interface ClockParser
extends Parser

This interface represents an event-based parser for the SVG clock values.

Method Summary
`ClockHandler` `getClockHandler()` Returns the clock handler in use.
`void` `setClockHandler(ClockHandler handler)` Allows an application to register an clock handler.

Methods inherited from interface org.apache.batik.parser.Parser
`parse, parse, setErrorHandler`

Methods inherited from interface org.apache.batik.i18n.Localizable
`formatMessage, getLocale, setLocale`

Method Detail

### setClockHandler

    public void setClockHandler(ClockHandler handler)

  Allows an application to register an clock handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The clock handler.

### getClockHandler

    public ClockHandler getClockHandler()

  Returns the clock handler in use.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.